%define upstream_name    IO-Compress
%define upstream_version 2.212

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1.1

Summary:    IO Interface to compressed data files/buffers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Compress::Raw::Bzip2) >= 2.212.0
BuildRequires: perl(Compress::Raw::Zlib) >= 2.212.0
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Time::Local)
BuildRequires: perl-devel
Obsoletes:  perl-Compress-Zlib
Obsoletes:  perl-IO-Compress-Base
Obsoletes:  perl-IO-Compress-Bzip2
Obsoletes:  perl-IO-Compress-Zlib

%description
This distribution provides a Perl interface to allow reading and writing of
compressed data created with the zlib and bzip2 libraries.

IO-Compress supports reading and writing of bzip2, RFC 1950, RFC
1951, RFC 1952 (i.e. gzip) and zip files/buffers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/Compress
%{perl_vendorlib}/File
%{perl_vendorlib}/IO

%changelog
* Thu May 09 2024 tv <tv> 2.212.0-1.1.mga10
+ Revision: 2063063
- update to 2.212

* Sat Apr 13 2024 tv <tv> 2.211.0-1.1.mga10
+ Revision: 2057071
- update to 2.211

* Mon Feb 26 2024 tv <tv> 2.207.0-1.mga10
+ Revision: 2044372
- update to 2.207

* Wed Sep 06 2023 tv <tv> 2.206.0-1.mga10
+ Revision: 1984784
- update to 2.206

* Mon Feb 20 2023 tv <tv> 2.204.0-1.mga9
+ Revision: 1944365
- update to 2.204

* Wed Nov 23 2022 ghibo <ghibo> 2.201.0-2.mga9
+ Revision: 1910586
- Rebuild in a fresh system to fix build failure (autobuild)

* Tue Jun 28 2022 tv <tv> 2.201.0-1.mga9
+ Revision: 1866516
- update to 2.201

* Fri Apr 15 2022 tv <tv> 2.106.0-1.mga9
+ Revision: 1850168
- update to 2.106

* Tue Apr 12 2022 tv <tv> 2.105.0-1.mga9
+ Revision: 1849004
- update to 2.105

* Tue Apr 05 2022 tv <tv> 2.103.0-1.mga9
+ Revision: 1844434
- update to 2.103

* Mon Mar 21 2022 umeabot <umeabot> 2.102.0-2.mga9
+ Revision: 1814157
- Mageia 9 Mass Rebuild

* Tue Mar 02 2021 tv <tv> 2.102.0-1.mga9
+ Revision: 1696028
- update to 2.102

* Thu Feb 25 2021 tv <tv> 2.101.0-1.mga9
+ Revision: 1691350
- update to 2.101

* Sat Aug 01 2020 tv <tv> 2.96.0-1.mga8
+ Revision: 1610242
- update to 2.096

* Tue Jul 21 2020 tv <tv> 2.95.0-1.mga8
+ Revision: 1607552
- update to 2.095

* Wed Jul 15 2020 tv <tv> 2.94.0-1.mga8
+ Revision: 1606244
- update to 2.094

* Tue Feb 18 2020 umeabot <umeabot> 2.93.0-2.mga8
+ Revision: 1539570
- Mageia 8 Mass Rebuild

* Sun Dec 08 2019 tv <tv> 2.93.0-1.mga8
+ Revision: 1465269
- update to 2.093

* Thu Dec 05 2019 tv <tv> 2.92.0-1.mga8
+ Revision: 1464480
- update to 2.092

* Sun Nov 24 2019 tv <tv> 2.91.0-1.mga8
+ Revision: 1462637
- update to 2.091

* Mon Nov 11 2019 tv <tv> 2.90.0-1.mga8
+ Revision: 1459288
- update to 2.090

* Mon Nov 04 2019 tv <tv> 2.89.0-1.mga8
+ Revision: 1457679
- update to 2.089

* Mon Nov 04 2019 tv <tv> 2.88.0-1.mga8
+ Revision: 1457530
- update to 2.088

* Sun Aug 11 2019 tv <tv> 2.87.0-1.mga8
+ Revision: 1428693
- update to 2.087

* Mon Apr 01 2019 tv <tv> 2.86.0-1.mga7
+ Revision: 1384551
- update to 2.086

* Tue Jan 08 2019 tv <tv> 2.84.0-1.mga7
+ Revision: 1352001
- update to 2.084

* Tue Jan 01 2019 tv <tv> 2.83.0-1.mga7
+ Revision: 1347863
- update to 2.083

* Thu Sep 20 2018 umeabot <umeabot> 2.81.0-3.mga7
+ Revision: 1284292
- Mageia 7 Mass Rebuild

* Fri Jun 01 2018 tv <tv> 2.81.0-2.mga7
+ Revision: 1233445
- rebuild for perl-5.26.2 so that perl-IO-Compress-Lzop can find a module newer than the one bundled in perl-base

* Tue Apr 10 2018 kekepower <kekepower> 2.81.0-1.mga7
+ Revision: 1217331
- Fix BuildRequires
- Update to version 2.081

* Sun Feb 26 2017 shlomif <shlomif> 2.74.0-1.mga6
+ Revision: 1087906
- New version 2.074 + .spec modernisation

* Mon Feb 06 2017 pterjan <pterjan> 2.69.0-4.mga6
+ Revision: 1084911
- Rebuild for new perl to override core

* Thu May 12 2016 tv <tv> 2.69.0-3.mga6
+ Revision: 1013959
- use std build macros
- rebuild for new perl as it's dual packaged

* Fri Jan 01 2016 tv <tv> 2.69.0-2.mga6
+ Revision: 917971
- bump version on BR

* Mon Sep 28 2015 sander85 <sander85> 2.69.0-1.mga6
+ Revision: 884648
- update to 2.069

* Mon Jun 29 2015 sander85 <sander85> 2.68.0-1.mga6
+ Revision: 848032
- update to 2.068

* Wed Oct 15 2014 umeabot <umeabot> 2.64.0-5.mga5
+ Revision: 747970
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.64.0-4.mga5
+ Revision: 732299
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.64.0-3.mga5
+ Revision: 685053
- Mageia 5 Mass Rebuild

* Tue Apr 29 2014 tv <tv> 2.64.0-2.mga5
+ Revision: 618843
- there's no reason for this package to be arched

* Mon Feb 10 2014 jquelin <jquelin> 2.64.0-1.mga5
+ Revision: 588202
- update to 2.064

* Mon Oct 21 2013 umeabot <umeabot> 2.62.0-3.mga4
+ Revision: 538455
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 2.62.0-2.mga4
+ Revision: 489728
- Fix BRs

* Mon Aug 12 2013 sander85 <sander85> 2.62.0-1.mga4
+ Revision: 465965
- update to 2.062

* Tue Jun 04 2013 jquelin <jquelin> 2.61.0-1.mga4
+ Revision: 437066
- update to 2.061

* Wed May 29 2013 tv <tv> 2.58.0-5.mga4
+ Revision: 429969
- rebuild for new perl

* Wed Mar 27 2013 jquelin <jquelin> 2.58.0-3.mga3
+ Revision: 405648
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.58.0-2.mga3
+ Revision: 368460
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 2.58.0-1.mga3
+ Revision: 317907
- update to 2.058

* Wed Nov 14 2012 jquelin <jquelin> 2.55.0-3.mga3
+ Revision: 317889
- bs ate previous submission

* Wed Nov 07 2012 jquelin <jquelin> 2.55.0-2.mga3
+ Revision: 315730
- bs ate previous submission

* Mon Sep 17 2012 jquelin <jquelin> 2.55.0-1.mga3
+ Revision: 294867
- update to 2.055

* Mon Jun 04 2012 jquelin <jquelin> 2.52.0-4.mga3
+ Revision: 253944
- remove perl conflict
- remove conflicts now that it can be installed

* Mon Jun 04 2012 jquelin <jquelin> 2.52.0-3.mga3
+ Revision: 253939
- fix %%files after script renaming
- fix script conflict with perl

* Sun Jun 03 2012 tv <tv> 2.52.0-2.mga3
+ Revision: 253673
- explicitely conflicts with perl since it's not installable

* Fri Jun 01 2012 jquelin <jquelin> 2.52.0-1.mga3
+ Revision: 252852
- update to 2.052

* Tue Mar 06 2012 jquelin <jquelin> 2.49.0-1.mga2
+ Revision: 219971
- update to 2.049

* Wed Jan 04 2012 jquelin <jquelin> 2.46.0-1.mga2
+ Revision: 190562
- update to 2.046

* Mon Dec 05 2011 kharec <kharec> 2.45.0-1.mga2
+ Revision: 177020
- update to 2.045

* Sun Dec 04 2011 kharec <kharec> 2.44.0-1.mga2
+ Revision: 175783
- update to 2.044

* Sat Dec 03 2011 kharec <kharec> 2.43.0-1.mga2
+ Revision: 175674
- update to 2.043

* Sat Nov 19 2011 kharec <kharec> 2.42.0-1.mga2
+ Revision: 169313
- update to 2.042

* Sat Nov 05 2011 kharec <kharec> 2.40.0-1.mga2
+ Revision: 163609
- update to 2.040

* Fri Nov 04 2011 jquelin <jquelin> 2.37.0-2.mga2
+ Revision: 162791
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 2.37.0-1.mga2
+ Revision: 112348
- update to 2.037

* Wed Jun 22 2011 jquelin <jquelin> 2.36.0-1.mga2
+ Revision: 112280
- update to 2.036

* Fri Jun 17 2011 jquelin <jquelin> 2.35.0-1.mga2
+ Revision: 109002
- update to 2.035

* Fri Feb 18 2011 jquelin <jquelin> 2.33.0-2.mga1
+ Revision: 53697
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 2.33.0-1.mga1
+ Revision: 52684
- update to 2.033

* Sat Jan 22 2011 jquelin <jquelin> 2.30.0-5.mga1
+ Revision: 32750
- rebuild
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 2.30.0-4.mga1
+ Revision: 12197
- imported package perl-IO-Compress

